/**
 **  GLOBAL VARIABLES
 **/
typedef struct {
  NS_ServerDesc *my_self;			/* The server's own descriptor */
  NS_LinkedList *problems;			/* The problem linked list     */
  NS_LinkedList *agents;     		/* The agent linked list       */
  NS_AgentDesc   *master;			/* The master descriptor       */
  char *scratch_path;			/* The scratch area            */
  char *Condor_path;			/* Possible Condor path        */
  int Condor_nb;			/* Possible # of Condor procs  */
  char *MPI_path;			/* Possible mpirun path        */
  int nb_MPInodes;			/* Possible Number of MPI nodes*/
  char* MPInodefile;			/* Possible MPI node file      */
  int workload_manager_pid;		/* PID of the workload manager */
#ifdef HBM
  int hbmlm_pid;    			/* PID of the HBM hbmlm        */
#endif
  char *netsolve_root_path;		/* $NETSOLVE_ROOT              */
  NS_Statistics *statistics;    		/* statistics 		       */
  NS_ScaLAPACKGlobal Scalapack_global;     /* globals for ScaLAPACK       */  
  int nb_problems;                      /* number of problems          */
  int sock;				/* Listening socket descriptor */
  char *log_file;      /* file for message logging */
  char *config_file;      /* file for message logging */
  char *ip_address;			/* IP-Address of the server    */
#ifdef KERBEROS5
  krb5_principal server;
  krb5_keytab keytab;
  krb5_context context;
  char *users_file;
  int require_auth;         /* true if authentication required */
#endif
}NS_myGlobal;

NS_myGlobal myglobal;
int myinitMySelf();
int myserver_init(int argc,char **argv);
